<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>{{ title }}</title>
    <!-- Favicon-->
    <link rel="icon" type="image/x-icon" href="{{ url_for('static', filename='assets/favicon.ico') }}"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="{{ url_for('static', filename='css/styles.css') }}" rel="stylesheet"/>
</head>
<body >
<div class="d-flex" id="wrapper">
    <!-- Page content wrapper-->
    <div style="height: 50vh" id="page-content-wrapper">
        <!-- Top navigation-->
        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            <div class="container-fluid">
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                        data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav ms-auto mt-2 mt-lg-0">
                        <li class="nav-item active"><a class="nav-link" href="/users">Users</a></li>
                        {% if not current_user.is_authenticated %}
                            <li class="nav-item active"><a class="nav-link" href="/login">Login</a></li>
                            <li class="nav-item active"><a class="nav-link" href="/register">Register</a>
                        {% endif %}
                        {% if current_user.is_authenticated %}
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button"
                                   data-bs-toggle="dropdown" aria-haspopup="true"
                                   aria-expanded="false">{{ current_user.username }}</a>
                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="/friends">My Friends</a>
                                    <a class="dropdown-item" href="/ticket">Create ticket</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="/logout">LogOut</a>
                                </div>
                            </li>

                        {% endif %}
                    </ul>
                </div>
            </div>
        </nav>
        <div class="container">

            <!-- Page content-->


            {% block body %}{% endblock %}
        </div>
    </div>

</div>
<!-- Bootstrap core JS-->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->
<script src="{{ url_for('static', filename='js/scripts.js') }}"></script>
</body>
</html>